Bug 183542 - Update devel/checkbashisms to version 2.13.4
Update devel/checkbashisms to version 2.13.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 02:40 UTC by giffunip
Modified: 2014-01-26 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (999 bytes, patch)
2013-11-01 02:40 UTC, giffunip
no flags Details | Diff
devel-checkbashisms-2.12.6+deb7u2.patch (1.03 KB, patch)
2014-01-07 13:43 UTC, nukama
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description giffunip 2013-11-01 02:40:01 UTC
I noticed the tarball wouldn't fecth (.tar.gz doesn't seem available anymore), so I wen ahead and fixed it and updated it while here.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-11-01 02:40:08 UTC
Maintainer of devel/checkbashisms,

Please note that PR ports/183542 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183542

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-11-01 02:40:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 nukama 2013-11-02 11:13:05 UTC
On Fri, Nov 1, 2013 at 2:40 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of devel/checkbashisms,
>
> Please note that PR ports/183542 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183542
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org


I've not updated to the last stable version, which is
devscripts_2.12.6+deb7u1.tar.gz,
because there where only non-FreeBSD related changes.
http://packages.qa.debian.org/d/devscripts/news/20131005T104705Z.html

We could update it to the last stable release (2.12.6+deb7u1) or
switch to testing (2.13.4).

Best Regards,
Hakisho Nukama
Comment 4 nukama 2014-01-07 13:43:24 UTC
On Sat, Nov 2, 2013 at 11:13 AM, Hakisho Nukama <nukama@gmail.com> wrote:
> On Fri, Nov 1, 2013 at 2:40 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
>> Maintainer of devel/checkbashisms,
>>
>> Please note that PR ports/183542 has just been submitted.
>>
>> If it contains a patch for an upgrade, an enhancement or a bug fix
>> you agree on, reply to this email stating that you approve the patch
>> and a committer will take care of it.
>>
>> The full text of the PR can be found at:
>>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183542
>>
>> --
>> Edwin Groothuis via the GNATS Auto Assign Tool
>> edwin@FreeBSD.org
>
>
> I've not updated to the last stable version, which is
> devscripts_2.12.6+deb7u1.tar.gz,
> because there where only non-FreeBSD related changes.
> http://packages.qa.debian.org/d/devscripts/news/20131005T104705Z.html
>
> We could update it to the last stable release (2.12.6+deb7u1) or
> switch to testing (2.13.4).
>
> Best Regards,
> Hakisho Nukama

Updated port to 2.12.6+deb7u2 on the stable-sec branch.
Patch; https://redports.org/browser/Nukama/Attic/patches/devel-checkbashisms-2.12.6%2Bdeb7u2.patch

Best Regards,
Hakisho Nukama
Comment 5 jgh@FreeBSD.org freebsd_committer 2014-01-25 22:41:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 6 dfilter freebsd_committer 2014-01-26 08:41:38 UTC
Author: jgh
Date: Sun Jan 26 08:41:31 2014
New Revision: 341156
URL: http://svnweb.freebsd.org/changeset/ports/341156
QAT: https://qat.redports.org/buildarchive/r341156/

Log:
  - update to 2.14.0 [1]
  - while here shift manprefix
  
  PR:		183542 (based on)
  Submitted by:	giffunip@tutopia.com, [1] nukama+maintainer@gmail.com (maintainer)

Modified:
  head/devel/checkbashisms/Makefile
  head/devel/checkbashisms/distinfo

Modified: head/devel/checkbashisms/Makefile
==============================================================================
--- head/devel/checkbashisms/Makefile	Sun Jan 26 07:57:22 2014	(r341155)
+++ head/devel/checkbashisms/Makefile	Sun Jan 26 08:41:31 2014	(r341156)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	checkbashisms
-PORTVERSION=	2.12.6
+PORTVERSION=	2.14.0
 CATEGORIES=	devel perl5
 MASTER_SITES=	DEBIAN/pool/main/d/devscripts/
 DISTNAME=	devscripts_${PORTVERSION}
@@ -12,6 +12,7 @@ COMMENT=	Debian script that checks for b
 LICENSE=	GPLv2
 
 USES=		perl5 shebangfix
+USE_XZ=		yes
 USE_PERL5=	run
 NO_BUILD=	yes
 WRKSRC=		${WRKDIR}/devscripts-${PORTVERSION}
@@ -27,6 +28,6 @@ do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/scripts/checkbashisms.pl \
 	    ${STAGEDIR}${PREFIX}/bin/checkbashisms
 	${INSTALL_MAN} ${WRKSRC}/scripts/checkbashisms.1 \
-	    ${STAGEDIR}${MANPREFIX}/man/man1/
+	    ${STAGEDIR}${MAN1PREFIX}/man/man1/
 
 .include <bsd.port.mk>

Modified: head/devel/checkbashisms/distinfo
==============================================================================
--- head/devel/checkbashisms/distinfo	Sun Jan 26 07:57:22 2014	(r341155)
+++ head/devel/checkbashisms/distinfo	Sun Jan 26 08:41:31 2014	(r341156)
@@ -1,2 +1,2 @@
-SHA256 (devscripts_2.12.6.tar.gz) = eab908dc6809459a62eac4e6d07bda714123fc4cc0b15e275b865c8a49e65f8e
-SIZE (devscripts_2.12.6.tar.gz) = 996395
+SHA256 (devscripts_2.14.0.tar.xz) = c0ac3c130b72bac6f00652fceae3013aad0596fc62ba8d690f6d61f19e2f02c3
+SIZE (devscripts_2.14.0.tar.xz) = 583796
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 jgh@FreeBSD.org freebsd_committer 2014-01-26 08:41:47 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!